### Virtual Method

# GnomeCmd FileActions create_popup_menu_items

#### Declaration

    GMenuModel*
    create_popup_menu_items (
      GnomeCmdFileActions* fa,
      GnomeCmdState* state
    )

#### Description

Creates a menu model to be shown in a context popup menu.

#### Parameters

`state`

  Type: `GnomeCmdState`

  Current state of both application’s panels.

  The data is owned by the caller of the method.

#### Return value

Type: `GMenuModel`

A menu model.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.